package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.ReportDetail;
import com.ruoyi.system.domain.ReportQueryLog;

/**
 * @author tjf
 * @Date: 2021/12/27/11:37
 */
public interface IQueryService {

    /**
     * 门户查询报告信息
     * @param reportQueryLog
     * @return
     */
    AjaxResult selectReport (ReportQueryLog reportQueryLog);

    /**
     * 小程序根据二维码查询
     * @param reportQueryLog
     * @return
     */
    AjaxResult queryQr (ReportQueryLog reportQueryLog);

    /**
     * 小程序根据编号查询
     * @param reportQueryLog
     * @return
     */
    AjaxResult queryReportNum (ReportQueryLog reportQueryLog);


    /**
     * 发送查询码
     * @param reportQueryLog
     * @return
     */
    AjaxResult sendQueryNum (ReportQueryLog reportQueryLog);

    /**
     * 发送短信验证码
     * @param reportQueryLog
     * @return
     */
    AjaxResult sendSms (ReportQueryLog reportQueryLog);

}
