package com.ruoyi.web.controller.system;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.QueryConfig;
import com.ruoyi.system.service.IIndexService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author tjf
 * @Date: 2021/12/31/11:04
 */
@RestController
@RequestMapping("/system/index")
public class IndexController extends BaseController {


    @Autowired
    private IIndexService iIndexService;

    /**
     * 后台首页
     *
     * @return
     */
    @PostMapping
    public AjaxResult index() {
        return iIndexService.getIndex();
    }
}
